package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;

/**
 * @Description: 课程大纲目标权重设置参数
 * @Author: CaoZixuan
 * @Date: 2024-06-08
 */
public class ObeCourseTargetExpectValueParam {

    @ApiModelProperty("课程大纲id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "缺少课程大纲id")
    @Range(min = 1L, message = "缺少课程大纲id")
    private Long obeCourseOutlineId;

    @ApiModelProperty("预期值")
    private Double expectValue;

    public Long getObeCourseOutlineId() {
        return obeCourseOutlineId;
    }

    public void setObeCourseOutlineId(Long obeCourseOutlineId) {
        this.obeCourseOutlineId = obeCourseOutlineId;
    }

    public Double getExpectValue() {
        return expectValue;
    }

    public void setExpectValue(Double expectValue) {
        this.expectValue = expectValue;
    }
}
